Package org.optaplanner.core.impl.score.stream.bavet.tri

## Class BavetJoinTriTuple<A,​B,​C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple
  - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriTuple<A,​B,​C>
    - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetJoinTriTuple<A,​B,​C>

- All Implemented Interfaces:
    `BavetJoinTuple`, `BavetTuple`

      public final class BavetJoinTriTuple<A,​B,​C>
      extends BavetAbstractTriTuple<A,​B,​C>
      implements BavetJoinTuple

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetJoinTriTuple​(BavetJoinTriNode<A,​B,​C> node, BavetJoinBridgeBiTuple<A,​B> abTuple, BavetJoinBridgeUniTuple<C> cTuple)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BavetJoinBridgeBiTuple<A,​B>` | `getAbTuple()` |
    `List<BavetAbstractTuple>` | `getChildTupleList()` |
    `BavetJoinBridgeUniTuple<C>` | `getCTuple()` |
    `A` | `getFactA()` |
    `B` | `getFactB()` |
    `C` | `getFactC()` |
    `BavetJoinTriNode<A,​B,​C>` | `getNode()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriTuple

      `getFacts`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `getNodeIndex, getState, isActive, isDirty, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFactsString`

- - ### Constructor Detail

    - #### BavetJoinTriTuple

          public BavetJoinTriTuple​(BavetJoinTriNode<A,​B,​C> node,
                                   BavetJoinBridgeBiTuple<A,​B> abTuple,
                                   BavetJoinBridgeUniTuple<C> cTuple)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNode

          public BavetJoinTriNode<A,​B,​C> getNode()

      Specified by:
        `getNode` in interface `BavetTuple`
      Specified by:
        `getNode` in class `BavetAbstractTuple`

    - #### getChildTupleList

          public List<BavetAbstractTuple> getChildTupleList()

      Specified by:
        `getChildTupleList` in class `BavetAbstractTuple`

    - #### getFactA

          public A getFactA()

      Specified by:
        `getFactA` in class `BavetAbstractTriTuple<A,​B,​C>`

    - #### getFactB

          public B getFactB()

      Specified by:
        `getFactB` in class `BavetAbstractTriTuple<A,​B,​C>`

    - #### getFactC

          public C getFactC()

      Specified by:
        `getFactC` in class `BavetAbstractTriTuple<A,​B,​C>`

    - #### getAbTuple

          public BavetJoinBridgeBiTuple<A,​B> getAbTuple()

    - #### getCTuple

          public BavetJoinBridgeUniTuple<C> getCTuple()